LAT_SELECT(8)

NAME
lat_select - time simple entry into the operating system

SYNOPSIS
lat_select tcp|file [ n ]

DESCRIPTION
lat_select times how long it takes to select on n file descriptors. lat_select can either select on local files, or TCP network connections.

OUTPUT
Output format depends on whether lat_select is testing local files or network connections. In either case it reports the number of descriptors and the average latency in microseconds. Example output for lat_select on files is:

Select on 200 fd's: 67 microseconds

or for network connections: Select on 200 tcp fd's: 117 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), select(2), dup(2), open(2).